<?xml version="1.0" encoding="utf-8"?>
<service name="blogsome"
         version="$Id: blogsome.xml 19845 2008-08-08 21:12:47Z manish $"
         xmlns="http://www.flock.com/web-detective#">

  <strings>
    <string name="domains" value="blogsome.com"/>

    <string name="homePageURL" locale="default">
      <![CDATA[http://www.blogsome.com/]]>
    </string>
  </strings>

  <detect type="login">
    <url><domain equals="blogsome.com"/></url>
    <form>
      <xpath name="username" extract="value">
        <![CDATA[//input[@id="log"]]]>
      </xpath>
      <xpath name="password" extract="value">
        <![CDATA[//input[@id="pwd"]]]>
      </xpath>
    </form>
  </detect>

  <detect type="loggedin">
    <url><domain equals="blogsome.com"/></url>
    <xpath><![CDATA[//ul/li[@class="last"]/a/text()[contains(.,"Logout")]]]></xpath>
  </detect>

  <detect type="changepassword">
    <url>
      <domain equals="blogsome.com"/>
      <path contains="/wp-admin/profile.php"/>
    </url>
    <document>
      <regexp multiline="true" re1="username">
        <![CDATA[/Username:<\/th>.*?>(.*?)<\/td>/]]>
      </regexp>
    </document>
    <form>
      <xpath name="password" extract="value">
        <![CDATA[//input[@type="password"][@name="pass2"]]]>
      </xpath>
   </form>
  </detect>
</service>
